Yandex Cloud
КейсыДокументация
ПрезентацияСвязаться с намиНачать бесплатно
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Сделано на Gravity UI
Проект Яндекса
© 2026 ООО «Яндекс.Облако»
Yandex Compute Cloud
  • Yandex Container Solution
  • Управление доступом
  • Правила тарификации
  • Справочник Terraform
    • Аутентификация в API
      • Overview
        • Overview
        • Get
        • List
  • Метрики Monitoring
  • Аудитные логи Audit Trails
  • История изменений
  • Обучающие курсы

В этой статье:

  • HTTP request
  • Query parameters
  • Response
  • DiskType
  1. Справочник API
  2. REST (англ.)
  3. DiskType
  4. List

Compute Cloud API, REST: DiskType.List

Статья создана
Yandex Cloud
Обновлена 1 июня 2026 г.
Открыть в Markdown
  • HTTP request
  • Query parameters
  • Response
  • DiskType

Retrieves the list of disk types for the specified folder.

HTTP requestHTTP request

GET https://compute.api.cloud.yandex.net/compute/v1/diskTypes

Query parametersQuery parameters

Field

Description

pageSize

string (int64)

The maximum number of results per page to return. If the number of available
results is larger than pageSize,
the service returns a ListDiskTypesResponse.nextPageToken
that can be used to get the next page of results in subsequent list requests.
The value must be less than or equal to 1000.

pageToken

string

Page token. To get the next page of results, set pageToken to the
ListDiskTypesResponse.nextPageToken returned by a previous list request.
The length must be less than or equal to 100.

ResponseResponse

HTTP Code: 200 - OK

{
  "diskTypes": [
    {
      "id": "string",
      "description": "string",
      "zoneIds": [
        "string"
      ]
    }
  ],
  "nextPageToken": "string"
}

Field

Description

diskTypes[]

DiskType

List of disk types.

nextPageToken

string

This token allows you to get the next page of results for list requests. If the number of results
is larger than ListDiskTypesRequest.pageSize, use
the nextPageToken as the value
for the ListDiskTypesRequest.pageToken query parameter
in the next list request. Each subsequent list request will have its own
nextPageToken to continue paging through the results.

DiskTypeDiskType

Field

Description

id

string

ID of the disk type.

description

string

Description of the disk type. 0-256 characters long.

zoneIds[]

string

Array of availability zones where the disk type is available.

Была ли статья полезна?

Предыдущая
Get
Следующая
Overview
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Сделано на Gravity UI
Проект Яндекса
© 2026 ООО «Яндекс.Облако»